<div class="col-md-12 products-page">

  <%= form_tag search_products_path, method: 'get', role: 'search' do %>
    <div class="input-group">
      <%= text_field_tag :q, params[:q], class: 'form-control', placeholder: 'Potraži...' %>

      <span class="input-group-btn">
        <button type="submit" class="btn btn-default">
          <span class="icon-search"></span>
        </button>
      </span>
    </div>

    <div id="form-options" class="clearfix">

      <div class="btn-group pull-right">
        <p style="float: left; margin: 0.1em 0 0 0"><small>Displaying <%= (params[:page] || 1).to_i.ordinalize %> page with <%= @products.size %> products
                   of <strong>total <%= @products.total %></strong></small></p>
      </div>
    </div>
  <% end %>

  <hr>
</div>

<div id="facets" class="col-md-3">
  <% unless @products.size < 1 %>

    <div class="categories panel panel-default">
      <div class="panel-heading"><%= link_to 'All Sections &rarr;'.html_safe, search_products_path(params.merge(t: nil))%></div>

      <div class="list-group slim-list">
        <% @products.response.response['aggregations']['tags']['tgs']['buckets'].each do |t| %>
        <%=
          link_to search_products_path(params.merge(t: t['key'])),
                  class: "list-group-item#{' active' if params[:t] == t['key']}" do
                    t['key'].titleize.html_safe + content_tag(:small, t['doc_count'], class: 'badge').html_safe
          end
        %>
        <% end %>
      </div>
    </div>

    <div class="authors panel panel-default">
      <div class="panel-heading"><%= link_to 'All manufacturers &rarr;'.html_safe, search_products_path(params.merge(m: nil))%></div>
      <div class="list-group slim-list">
        <% @products.response.response['aggregations']['manufacturers']['manurs']['buckets'].each do |m| %>
        <%=
          link_to search_products_path(params.merge(m: m['key'])),
                  class: "list-group-item#{' active' if params[:m] == m['key']}" do
                    m['key'].titleize.html_safe + content_tag(:small, m['doc_count'], class: 'badge').html_safe
          end
        %>
        <%= link_to m['key'], locations_path(:c_name => m['key'])%>
        <% end %>
      </div>
    </div>

    <div class="authors panel panel-default">
      <div class="panel-heading"><%= link_to 'All distributors &rarr;'.html_safe, search_products_path(params.merge(d: nil))%></div>

      <div class="list-group slim-list">
        <% @products.response.response['aggregations']['distributors']['distrs']['buckets'].each do |d| %>
        <%=
          link_to search_products_path(params.merge(d: d['key'])),
                  class: "list-group-item#{' active' if params[:d] == d['key']}" do
                    d['key'].titleize.html_safe + content_tag(:small, d['doc_count'], class: 'badge').html_safe
          end
        %>
        <% end %>
      </div>
    </div>

  <% end %>
</div>

<div class="col-md-9">
  <div id="results">
    <%= render partial: "products/products", locals: {products: @records} %>
  </div>

  <ul class="pager">
    <li class="previous"><%= link_to_previous_page @products, 'Previous Page', params: params.slice(:q, :c, :a, :comments) %></li>
    <li class="next"><%= link_to_next_page     @products, 'Next Page', params: params.slice(:q, :c, :a, :comments) %></li>
  </ul>

</div>

<div class="footer <%= @products.size < 1 ? 'col-md-12' : 'col-md-9 col-md-offset-3' %>">
  <p></p>
</div>
